seo:
  title: What went down at the Q2'2019 GitLab Hackathon
  description: >-
    Here's a recap of GitLab community accomplishments during the Hackathon on
    May 29-30.
  ogTitle: What went down at the Q2'2019 GitLab Hackathon
  ogDescription: >-
    Here's a recap of GitLab community accomplishments during the Hackathon on
    May 29-30.
  noIndex: false
  ogImage: images/blog/hero-images/2018-09-13-gitlab-hackathon-cover.jpg
  ogUrl: https://about.gitlab.com/blog/q2-hackathon-recap
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/q2-hackathon-recap
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "What went down at the Q2'2019 GitLab Hackathon",
            "author": [{"@type":"Person","name":"Ray Paik"}],
            "datePublished": "2019-06-24",
          }

content:
  title: What went down at the Q2'2019 GitLab Hackathon
  description: >-
    Here's a recap of GitLab community accomplishments during the Hackathon on
    May 29-30.
  authors:
    - Ray Paik
  heroImage: images/blog/hero-images/2018-09-13-gitlab-hackathon-cover.jpg
  date: '2019-06-24'
  body: >


    The GitLab community gathered on May 29-30 for the Q2 Hackathon, and I was
    again excited to see new contributors participating. We also had more people
    joining the tutorial sessions and watching the recordings on [the Hackathon
    playlist](https://www.youtube.com/playlist?list=PLFGfElNsQthapq-CyXBTVnT2yKqg1JrNh).
    I was surprised when one of the community members told me he joined the
    kickoff session when it was past 1am his time!


    ![Hackathon
    playlist](https://about.gitlab.com/images/blogimages/Hackathon_playlist.png){:
    .shadow.medium.center}


    ## So what did we accomplish?


    Even though the Hackathon was during a holiday week in many countries, [44
    merge requests
    (MRs)](https://gitlab.com/gitlab-com/marketing/community-relations/contributor-program/hackathon/issues/18)
    were submitted and more than 30 of these MRs were merged within two weeks of
    the event. One of the things we did during this recent Hackathon was to
    maintain [a list of suggested
    issues](https://gitlab.com/gitlab-com/marketing/community-relations/contributor-program/hackathon/issues/17#suggested-issues-list),
    and one of the issues was picked up shortly after it was discussed during
    [the GitLab Monitor tutorial
    session](https://www.youtube.com/watch?v=mm_8wVjn808&list=PLFGfElNsQthapq-CyXBTVnT2yKqg1JrNh&index=3&t=0s).
    Now, that's what I call just-in-time hacking.


    ## Hackathon prizes


    Similar to past events, everyone who had MRs merged will receive a token of
    our appreciation for their contribution. During the Q2 Hackathon, [18
    people](https://gitlab.com/gitlab-com/marketing/community-relations/contributor-program/hackathon/issues/20)
    had their MRs merged and we decided to award a second place prize along with
    the grand prize based on the number of MRs merged. I'm happy to announce
    that we have a tie for the second place with [Michel
    Engelen](https://gitlab.com/michel.engelen) and [Marc
    Schwede](https://gitlab.com/schwedenmut) who both had three MRs merged. The
    grand prize winner goes to [Marcel Amirault](https://gitlab.com/Ravlen) (a
    former [MVP](/community/mvp/)), with nine merged MRs.


    Thanks and congratulations to everyone!


    ## When is the next Hackathon?


    Some of the feedback I received was a suggestion to release future Hackathon
    dates earlier, so I'm happy to announce that the Q3 Hackathon will take
    place on August 28-29. It is already advertised on [the Hackathon
    page](/community/hackathon/) with a new countdown clock. Please look out for
    more announcements as we get closer to the next Hackathon date. Also, if you
    have any suggestions for the Q3 Hackathon please feel free to bring them to
    [the GitLab Contributors Gitter](https://gitter.im/gitlabhq/contributors).


    ![Q3 Hackathon
    date](https://about.gitlab.com/images/blogimages/Q3_hackathon_date.png){:
    .shadow.medium.center}


    ## How do I get started with contributing?


    A good place to start is the [Contributing to GitLab
    page](/community/contribute/), where you can learn how you can

    contribute to GitLab code, documentation, translation, and UX design.


    If you have any questions, you are always welcome to reach me at
    rpaik@gitlab.com.


    ["GitLab application screengrab"](https://unsplash.com/photos/ZV_64LdGoao)
    by [Pankaj Patel](https://unsplash.com/@pankajpatel) on Unsplash

    {: .note}
  category: Open Source
  tags:
    - community
    - collaboration
    - open source
config:
  slug: q2-hackathon-recap
  featured: false
  template: BlogPost
